using System;
using System.IO;
using System.Windows.Forms;

namespace ECAL
{
	/// <summary>
	/// Summary description for ReportGenerator.
	/// </summary>
	public class ReportGenerator
	{
		/// <summary>
		/// The environment which is being reported
		/// </summary>
		public Environment Environment = null;

		/// <summary>
		/// The text which is assigned to the file containing results data.
		/// </summary>
		public string ReportFileName;

		public ReportGenerator(Environment env)
		{
			Environment = env;
		}

		/// <summary>
		/// Generates report and saves it to file
		/// </summary>
		public void GenerateReport()
		{
			DirectoryInfo directoryInfo = Directory.GetParent(Application.StartupPath);
			directoryInfo = directoryInfo.Parent;

//			TextWriter TotalSepTimeOutput = File.CreateText(directoryInfo.FullName + "\\Output\\" + ReportFileName + ".txt");
			TextWriter TotalRectAreaOutput = File.CreateText(directoryInfo.FullName + "\\Output\\" + ReportFileName + ".txt");
//			foreach(double totalError in Environment.RepErrors)
			foreach(double totalError in Environment.RepRectangleArea)
			{
				//TotalErrorLine = TotalErrorLine + totalError.ToString() + " * ";
				TotalRectAreaOutput.WriteLine(totalError.ToString());
			}
//			TotalErrorLine = TotalErrorLine.Remove(TotalErrorLine.Length-1, 1); // for deleting the last comma
			
			TotalRectAreaOutput.Close();
		}
	}
}
